Bug 463254 - Installer uses Spacewalk public cert and activates it by default.
Installer uses Spacewalk public cert and activates it by default.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Steve Salevan
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2008-09-22 14:11 EDT by Justin Sherrill
Modified: 2009-09-10 14:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2008-09-22 14:11:52 EDT
When installing Sat 5.3, the installer never prompts for a certificate and always uses the one in /usr/share/spacewalk/setup/spacewalk-public.cert.  This one should not be shipped at all.
Comment 1 Devan Goodwin 2008-09-24 16:14:42 EDT
Fixed in svn revision 177292.

Removed the spacewalk-public.cert and the reference to it in defaults.conf.
Comment 2 Steve Salevan 2009-01-21 15:44:29 EST
On Satellite 530-re20081223.2, no cert found and installer prompts for information not contained within defaults.conf.  Moving to VERIFIED.
Comment 3 Steve Salevan 2009-01-21 15:56:49 EST
Clarification: installer does not actually load in defaults.conf by default anymore...  all prompts arose from not having a configuration file loaded.  My B, dawg.
Comment 5 Brandon Perkins 2009-09-10 14:53:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.